Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/s6-linux-utils: update to 2.0.1.0

From: John Regan <john_at_jrjrtech.com>
Date: Fri, 6 Mar 2015 09:49:33 -0500

---
 testing/s6-linux-utils/APKBUILD | 50 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/s6-linux-utils/APKBUILD
diff --git a/testing/s6-linux-utils/APKBUILD b/testing/s6-linux-utils/APKBUILD
new file mode 100644
index 0000000..64e6216
--- /dev/null
+++ b/testing/s6-linux-utils/APKBUILD
_at_@ -0,0 +1,50 @@
+# Contributor: John Regan <john_at_jrjrtech.com>
+# Maintainer: John Regan <john_at_jrjrtech.com>
+pkgname=s6-linux-utils
+pkgver=2.0.1.0
+pkgrel=0
+pkgdesc="skarnet.org's Linux-specific utilities."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev linux-headers"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="f26e5e346daebb471ebab869ecd09ffb  s6-linux-utils-2.0.1.0.tar.gz"
+sha256sums="85aa63eab2779f50f3cb3527245b6f074a5ff27d151db8c54df5c5a5328de353  s6-linux-utils-2.0.1.0.tar.gz"
+sha512sums="6c762f1251e4ce67e397024b5f3c424254f329e746a36bc02b609c36cbbe12901d9b95f358b3fad92f66c8dc2a1c604b3a368b4d7aa5522aa0fe86418a215c99  s6-linux-utils-2.0.1.0.tar.gz"
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Mar 06 2015 - 09:49:33 GMT